Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXrender runtime library
Name: 		libXrender
Version: 	0.9.6
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:	xorg-x11-util-macros

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel

%description
X.Org X11 libXrender runtime library

%package devel
Summary: 	X.Org X11 libXrender development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed by xrender.pc
Requires: 	xorg-x11-proto-devel
Requires: 	libX11-devel

%description devel
X.Org X11 libXrender development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXrender.so.1
%{_libdir}/libXrender.so.1.3.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/Xrender.h
%if %{with_static}
%{_libdir}/libXrender.a
%endif
%{_libdir}/libXrender.so
%{_libdir}/pkgconfig/xrender.pc
%{_datadir}/doc/libXrender/libXrender.txt

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-2
- rebuilt
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-4
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-3
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.9.4-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Initial release
